#include "ehs/system/System_LNX.h"
#include "ehs/system/Thread.h"
#include "ehs/Log.h"

namespace ehs
{
	UInt_32 XDG_Thread(void* args)
	{
		Str_8* uri = (Str_8*)args;

		system("xdg-open \"" + *uri + "\"");

		return 0;
	}

	void System::OpenURI(const Str_8& uri)
	{
		Thread xdg;
		xdg.Start(XDG_Thread, (void*)&uri);
		xdg.Detach();
	}
}